﻿@using Kendo.Mvc.UI
@model IEnumerable<Iglo.World.ViewModels.ApHeaderViewModel>
@{
    ViewBag.Title = "AP";
    ViewBag.Controller = "AP";


}

<h3>AP</h3>
<div class="navbar navbar-inverse navbar-fixed-top border-bottom border-danger" style="padding: 0; margin: 0.5rem 0rem;">
</div>
<div class="grid-add-btn" style="margin:1rem 0">
    <a href="javascript:;" class="btn btn-primary" id="btnAddNew"><i class="fa fa-plus"></i> Add New</a>
</div>

@(Html.Kendo().Grid(Model).Name("grid").Columns(columns =>
{
    columns.Bound(m => m.InvoiceNum).Title("Invoice Number");
    columns.Bound(m => m.InvoiceDateString).Title("Invoice Date");
    columns.Bound(m => m.HeaderDescription).Title("Header Description");
    columns.Bound(m => m.VendorId).Title("Vendor");
    columns.Bound(m => m.CurrencyId).Title("Currency");
    columns.Bound(m => m.TermsId).Title("Terms");
    //columns.Bound("").ClientTemplate("<a data-id='#=InvoiceNum#' href='javascript:;' class='act-btn deleteRow'>Delete</a>").Width(150).Title("").Filterable(false);
})
        .HtmlAttributes(new { style = "height : 450px;" })
        .Scrollable()
        .Sortable()
        .Filterable()
        .Pageable(pageable => pageable
            .Refresh(true)
            .PageSizes(true)
            .ButtonCount(5))
        .DataSource(dataSource => dataSource
            .Ajax()
            .Read(read => read.Action("List", "AP"))
            .PageSize(20)
        )
)

<div id="addEditWindow"></div>
<div id="addEditWindowDetail"></div>

@section scripts{

    <script>
    var popup = (function (popup) {
        popup.width = 1200;
        popup.height = 400;
        popup.createUrl = "@Url.Action("Create")";
        popup.createDetailNewUrl = "@Url.Action("CreateDetail")";
        popup.editUrl = "@Url.Action("Edit")";
        popup.submitUrl = "@Url.Action("Submit")";
        popup.submitDetailUrl = "@Url.Action("SubmitDetail")";
        popup.deleteUrl = "@Url.Action("Delete")";
        popup.deleteRowUrl = "@Url.Action("DeleteRow")";
        popup.createDetailTitle = "Add AP Detail";
        popup.createTitle = "Add AP";
        popup.editTitle = "Edit AP";
        return popup;
    })(popup || {});
    </script>
    <script src="~/js/modules/pop-up.js"></script>
}